<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.empiere.playersbeat">
    
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature
        android:name="android.hardware.camera2.full"
        android:required="false" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.MANAGE_DOCUMENTS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.RECORD_VIDEO" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="android.permission.FLASHLIGHT" />

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    
    <application
        android:name="com.empiere.playersbeat.SimpleClasses.TicTic"
        android:allowBackup="false"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher"
        android:screenOrientation="portrait"
        android:supportsRtl="false"
        android:theme="@style/AppTheme"
        tools:replace="allowBackup,supportsRtl">

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />
        
        <activity
            android:name="cat.ereza.customactivityoncrash.activity.DefaultErrorActivity"
            android:theme="@style/AppTheme"
            android:process=":error_activity" />

        <activity android:name="com.empiere.playersbeat.SoundLists.VideoSound_A" />

        <activity android:name=".Profile.FollowTabActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name="com.empiere.playersbeat.Video_Recording.GalleryVideos.GalleryVideos_A"
            android:screenOrientation="portrait"
            android:theme="@style/white_status"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.empiere.playersbeat.Video_Recording.GallerySelectedVideo.GallerySelectedVideo_A"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.empiere.playersbeat.Accounts.LoginActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Transparent"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.empiere.playersbeat.Video_Recording.TrimmerActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.empiere.playersbeat.SplashActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.empiere.playersbeat.Main_Menu.MainMenuActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/transparent_status"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.empiere.playersbeat.WatchVideos.WatchVideos_F"
            android:parentActivityName="com.empiere.playersbeat.Main_Menu.MainMenuActivity"
            android:screenOrientation="portrait"
            android:theme="@style/transparent_status"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"
            tools:ignore="LockedOrientationActivity">
            <intent-filter android:autoVerify="true">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="bringthings.com"
                    android:pathPrefix="/API/"
                    android:scheme="http" />
            </intent-filter>

            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.empiere.playersbeat.Main_Menu.MainMenuActivity" />
        </activity>

        <activity
            android:name="com.facebook.FacebookActivity"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:label="@string/app_name" />

        <activity
            android:name="com.facebook.CustomTabActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="@string/fb_login_protocol_scheme" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.empiere.playersbeat.Video_Recording.VideoRecorderActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.empiere.playersbeat.Video_Recording.Preview_Video_A"
            android:screenOrientation="portrait"
            android:theme="@style/black_status"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.empiere.playersbeat.Video_Recording.Post_Video_A"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.empiere.playersbeat.SoundLists.SoundList_Main_A"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_icon"
            android:resource="@drawable/ic_tic" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_color"
            android:resource="@color/redcolor" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <service
            android:name="com.empiere.playersbeat.Services.Upload_Service"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="startservice" />
            </intent-filter>
        </service>
        <service android:name="com.empiere.playersbeat.Firebase_Notification.Notification_Receive">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

      
    </application>



</manifest>